#!/bin/bash
##
##  Visopsys
##  Copyright (C) 1998-2020 J. Andrew McLaughlin
##
##  langstrings.sh
##

# Automate the updating of language string template files and translations

GETTXTCMD="xgettext -Lc -k_ -d-"
LANGS="de es ru tr"

# Do the source

pushd ../src
for FILE in *.c ; do
	TEMPLATE=`basename $FILE .c`.pot
	$GETTXTCMD $FILE > $TEMPLATE
	if [ ! -s $TEMPLATE ] ; then
		rm $TEMPLATE
		continue
	fi
	for DIR in $LANGS ; do
		../utils/mergepot.sh $TEMPLATE $DIR
	done
done
popd

exit 0

